function informacion_tabla(){ 
    var grado=get('g_id1');
    var curso=get('c_id1');

    document.getElementById('laborac').innerHTML='';


    var parametros = {"accion":'tabla',"grado":grado,"curso":curso};
                $.ajax({
                data:  parametros,
                url:"app/model/insertar_labor_academica.php",
                type: "POST",
            success: function(res){
                document.getElementById('laborac').innerHTML=res;
           }})

}
//------------------------------------------------------------------------------

function mostrargrad(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
   var parametros = {"accion":'listadograd',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}

//----------------------------------------------------

function mostrarcurso(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });

var id=get("g_id1");
    if(id=='')
        {
            alert("Ingrese Grado")
            exit();
        }else{
            
   var parametros = {"accion":'listacurso',"grado":id,"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                    
                    if(opciones=='no'){
                         alert ('No Existen Registros Ingrese Otro Grado');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                    }else{
                        $("#dialog").html(opciones);
                        informacion_tabla();
                    }
                }
            })
    }
}

//-------------------------------------------------------


function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });
   
    informacion_tabla();
}

function mostrar_listagrad(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    informacion_tabla();

}
//--------------------------------------------------------

function limpiar(id1,id2){

    if (document.getElementById(id1).value==''){
        document.getElementById(id2).value='';
    }

}

